Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88335 - Kernel boot hangs on motherboard with shared video memory
Summary: Kernel boot hangs on motherboard with shared video memory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 03:24 UTC by Joshua Penix
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:46 UTC


Attachments (Terms of Use)
Patch against vanilla kernel 2.4.20 source which allows booting (deleted)
2003-04-09 03:26 UTC, Joshua Penix
no flags Details | Diff

Description Joshua Penix 2003-04-09 03:24:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; Debian/1.3.3.20030406-1)
Gecko/20030319 Galeon/1.3.3

Description of problem:
The 2.4.x kernels in the installers of RedHat 7.3, 8.0 and 9.0 lock up
immediately after displaying "Okay, booting the kernel..." on Shuttle FX41
motherboard with shared video memory.  Motherboard has VIA KM266 chipset, with
VIA "Savage 8" video chipset.  Details of hardware here:
http://us.shuttle.com/specs2.asp?pro_id=155

All installs hang at same point, regardless of options passed to kernel.  I
found roughly similar references to this problem in two previous LKML threads:
http://www.cs.helsinki.fi/linux/linux-kernel/2002-50/0096.html
http://www.uwsg.iu.edu/hypermail/linux/kernel/0208.2/0772.html
... but suggestions to tweak mem= parameters were not effective in my
situation.

Kernel 2.2-based distributions, such as RedHat 6.2, boot fine.

Upon further investigation, I found that the only 2.4 kernel I could get to boot
was one from the Gentoo v1.4rc3 installer.  I determined that Gentoo's
installation kernel was patched with SGI's XFS patches, and this seemed to make
the difference.

Investigation of a diff between the vanilla kernel.org and XFS-patched
versions of /usr/src/linux/arch/i386/kernel/setup.c showed a small
difference in the memory detection code.  I applied the changes found in the XFS
code to a vanilla 2.4.20 kernel and was then able to boot
successfully.

Attached is the patch to kernel v2.4.20 that allowed for booting on this
hardware.  Note that I am by no means a kernel programmer, and have no way of
knowing if my patch is safe or proper, though I figure the SGI guys know what
they're doing :^)

I submitted this patch to the maintainer of the i386 setup code, Dave Jones
(davej@suse.de) on 3/25/03, and he replied:

"Yes, the zero sized e820 patch needs to go into 2.4
I sent it to Marcelo a while back.
I'll retransmit."

I thought I'd file a bug here as well so RedHat can patch their kernel at their
leisure, and perhaps before upstream does so.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Put in RedHat installation CD
2. Press <ENTER>

    

Actual Results:  System locks up hard immediately after "Okay, booting the
kernel..."

Expected Results:  Installer should have started.

Additional info:

Comment 1 Joshua Penix 2003-04-09 03:26:11 UTC
Created attachment 91025 [details]
Patch against vanilla kernel 2.4.20 source which allows booting

Kernel maintainer called this the "zero sized e820 patch"

Comment 2 Bugzilla owner 2004-09-30 15:40:46 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.